## lxcfs 3.0.4

=== debian/changelog ===
lxcfs (3.0.4-2ubuntu1) eoan; urgency=medium

  * d/p/0001-better-handle-swapfree-calculation.patch: (LP: #1860813)
    - bindings: fix swapFree calculation with swap accounting enabled

 -- Kellen Renshaw <kellen.renshaw@canonical.com>  Tue, 31 Mar 2020 16:32:11 +0000

lxcfs (3.0.4-2) unstable; urgency=medium

  * Bump version to release properly in unstable (Closes: my own dumbness)

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 09 Aug 2019 10:33:02 +0200

lxcfs (3.0.4-1) unstable; urgency=medium

  * New upstream release 3.0.4
  * d/control:
    - Bump Standards-Version to 4.4.0
    - Raise debhelper-compat to 12
    - Add ${misc:Pre-Depends} as a Pre-Depends of lxcfs as lxcfs relies on the
      --skip-systemd-native flag.
  * d/rules: Sweep a hanging ls

 -- Pierre-Elliott Bécue <peb@debian.org>  Tue, 06 Aug 2019 19:42:53 +0200

=== debian/control ===
Source: lxcfs
Section: admin
Priority: optional
Maintainer: pkg-lxc <pkg-lxc-devel@lists.alioth.debian.org>
Uploaders: Adnan Hodzic <adnan@hodzic.org>,
           Evgeni Golov <evgeni@debian.org>,
           Pierre-Elliott Bécue <peb@debian.org>
Build-Depends: debhelper-compat (= 12),
               help2man,
               libattr1-dev,
               libfuse-dev,
               linux-libc-dev,
               pkg-config
Standards-Version: 4.4.0
Homepage: https://linuxcontainers.org
Vcs-Git: https://salsa.debian.org/lxc-team/lxcfs.git
Vcs-Browser: https://salsa.debian.org/lxc-team/lxcfs

Package: lxcfs
Architecture: linux-any
Depends: lsb-base (>= 3.0-6), ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: FUSE based filesystem for LXC
 LXCFS provides a FUSE based filesystem to improve the LXC experience
 within the containers.
 .
 This filesystem offers both a cgroupfs-like view for use by
 unprivileged containers which wouldn't otherwise be allowed to mount
 cgroupfs. And a set of files that are meant to be bind-mounted over
 their /proc equivalent to make them cgroup-aware.

## lxcfs 4.0.1

=== debian/changelog ===
lxcfs (4.0.1-0ubuntu1) focal; urgency=medium

  * New upstream release 4.0.0 (LP: #1867541)
    - Add support for cgroup2
    - Add support for CPU shares in /proc/cpuinfo and /proc/stat (opt-in)
    - Add support for /proc/loadavg virtualization (opt-in)
    - Add support for PIDfd based tracking (opt-in)
  * Drop debian/lxcfs.manpages, upstream autotools does the right thing now
  * New upstream bugfix release 4.0.1
    - Fix CPU view (CFS) on CgroupV2 systems
    - Fix incorrect meminfo on CgroupV2 systems
    - Fix build failures on some Linux distributions
    - Fix crash on upgrade when CWD is no longer reachable
    - Harden upgrade logic, including a fall-back mechanism showing host values
    - Fix incorrect meminfo values on 32bit systems
    - Fix crash when accessing some virtual cgroupfs files
    - Improvements to tests
  * Cherry-pick upstream bugfixes
    - 0001-proc_fuse-improve-proc-meminfo.patch
    - 0002-proc_fuse-memory-virtualization-improvements.patch
    - 0003-proc_fuse-improve-proc-uptime-virtualization.patch
    - 0004-tree-wide-add-and-use-syscall_numbers.h.patch
    - 0005-proc_fuse-fix-swap-calculations.patch
  * Bump standard to 4.5.0
    - Set Rules-Requires-Root

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 24 Mar 2020 13:20:50 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lxcfs
 Section: admin
 Priority: optional
-Maintainer: pkg-lxc <pkg-lxc-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: pkg-lxc <pkg-lxc-devel@lists.alioth.debian.org>
 Uploaders: Adnan Hodzic <adnan@hodzic.org>,
            Evgeni Golov <evgeni@debian.org>,
            Pierre-Elliott Bécue <peb@debian.org>
@@ -11,10 +12,11 @@
                libfuse-dev,
                linux-libc-dev,
                pkg-config
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://linuxcontainers.org
 Vcs-Git: https://salsa.debian.org/lxc-team/lxcfs.git
 Vcs-Browser: https://salsa.debian.org/lxc-team/lxcfs
+Rules-Requires-Root: no
 
 Package: lxcfs
 Architecture: linux-any

## lxcfs 4.0.2

=== debian/changelog ===
lxcfs (4.0.2-0ubuntu1) focal; urgency=medium

  * New upstream bugfix release (4.0.2):
    - Fix memory virtualization issues (swap reporting)
    - Fix tests when run in distro packaging

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 07 Apr 2020 14:22:19 -0400

lxcfs (4.0.1-0ubuntu2) focal; urgency=medium

  * Cherry-pick upstream bugfix:
    - 0006-tests-Handle-different-lib-paths.patch

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 25 Mar 2020 11:04:37 -0400

## lxcfs 4.0.3

=== debian/changelog ===
lxcfs (4.0.3-0ubuntu1) focal; urgency=medium

  * New upstream bugfix release (4.0.3):
    - Fix some issues detected by Coverity Scan
    - Fix issue with some meminfo fields
    - Fix SWAP calculation logic to avoid overflows

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 17 Apr 2020 16:42:12 -0400

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/vendor.mk

ifeq ($(DEB_VENDOR),Ubuntu)
	LXCFS_DEPENDS="systemd | cgroup-lite | cgroupfs-mount"
else
	LXCFS_DEPENDS="systemd | cgroupfs-mount"
endif

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf

override_dh_auto_install:
	dh_auto_install
	find debian/lxcfs -type f -name '*.la' -delete
	rm -rf debian/lxcfs/etc/init

override_dh_installinit:
	mv debian/lxcfs/etc/rc.d/init.d/lxcfs debian/lxcfs.init
	rm -rf debian/lxcfs/etc/rc.d
	dh_installinit -p lxcfs --no-stop-on-upgrade

override_dh_installsystemd:
	dh_installsystemd -p lxcfs --no-stop-on-upgrade lxcfs.service

override_dh_autoreconf:
	[ -e m4 ] || mkdir m4
	dh_autoreconf

override_dh_gencontrol:
	dh_gencontrol -- -Vlxcfs:Depends=$(LXCFS_DEPENDS)

clean:
	dh_autoreconf_clean
	dh_clean

=== debian/tests/control ===
Tests: exercise
Depends: lxcfs, lxc, uuid-runtime, @, @builddeps@
Restrictions: needs-root allow-stderr isolation-machine

## lxcfs 4.0.5

=== debian/changelog ===
lxcfs (4.0.5-1) unstable; urgency=medium

  * New upstream release 4.0.5
  * d/control:
    - Drop libattr1-dev from build-dependencies as it's not needed anymore.
      Use libc6-dev instead (not listed as Build-Essential)

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 05 Sep 2020 00:10:28 +0200

lxcfs (4.0.3-1) unstable; urgency=medium

  * New upstream release 4.0.3
  * d/control:
    - Bump Standards-Version to 4.5.0
    - Raise debhelper-compat to 13
    - Sets Rules-Requires-Root to no
  * Drop d/lxcfs.manpages as it's now properly installed automagically
  * Add the debian-branch in d/gbp.conf

 -- Pierre-Elliott Bécue <peb@debian.org>  Mon, 25 May 2020 17:50:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: lxcfs
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: pkg-lxc <pkg-lxc-devel@lists.alioth.debian.org>
+Maintainer: pkg-lxc <pkg-lxc-devel@lists.alioth.debian.org>
 Uploaders: Adnan Hodzic <adnan@hodzic.org>,
            Evgeni Golov <evgeni@debian.org>,
            Pierre-Elliott Bécue <peb@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                help2man,
-               libattr1-dev,
                libfuse-dev,
                linux-libc-dev,
                pkg-config

## lxcfs 4.0.7

=== debian/changelog ===
lxcfs (4.0.7-1) unstable; urgency=medium

  * New upstream version 4.0.7
    Closes: #980748
  * cherry-pick "proc_cpuview: release lock before returning"
  * Standards-Version: 4.5.1
  * drop old upgrade support code for versions 0.17-0ubuntu3 and older
  * drop Adnan from uploaders, thanks for your work!

 -- Evgeni Golov <evgeni@debian.org>  Sun, 28 Feb 2021 20:08:21 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,14 @@
 Section: admin
 Priority: optional
 Maintainer: pkg-lxc <pkg-lxc-devel@lists.alioth.debian.org>
-Uploaders: Adnan Hodzic <adnan@hodzic.org>,
-           Evgeni Golov <evgeni@debian.org>,
+Uploaders: Evgeni Golov <evgeni@debian.org>,
            Pierre-Elliott Bécue <peb@debian.org>
 Build-Depends: debhelper-compat (= 13),
                help2man,
                libfuse-dev,
                linux-libc-dev,
                pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://linuxcontainers.org
 Vcs-Git: https://salsa.debian.org/lxc-team/lxcfs.git
 Vcs-Browser: https://salsa.debian.org/lxc-team/lxcfs

## lxcfs 4.0.12

=== debian/changelog ===
lxcfs (4.0.12-0ubuntu2) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:07:25 +0000

lxcfs (4.0.12-0ubuntu1) jammy; urgency=medium

  * Cherry-pick upstream bugfixes (stable-4.0):
    - 0001-lxc.mount.hook-Fix-bashism.patch

  * New upstream bugfix release (4.0.12):
    - CPU sum in /proc/stat is now preserved on cpuset changes
    - Expose an empty cgroup tree when host system is on a unified hierarchy

  * New upstream bugfix release (4.0.11):
    - Correct bad release tarball (missing files)

  * New upstream bugfix release (4.0.10):
    - Fixed a potential deadlock in the cpuinfo handler
    - Reduced daemon verbosity

  * New upstream bugfix release (4.0.9):
    - Improve libfuse2/libfuse3 handling

  * New upstream bugfix release (4.0.8):
    - Correct file size for proc files

  * Bump standards to 4.6.0.1

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 02 Feb 2022 21:43:13 -0500

lxcfs (4.0.7-0ubuntu1) hirsute; urgency=medium

  * Cherry-pick upstream bugfix:
    - 0001-proc_cpuview-release-lock-before-returning.patch
  * New upstream release 4.0.7
    - Consistent swap behavior
  * New upstream release 4.0.6
    - Add support for fuse3
    - Update for new diskstats fields
    - Fix some build issues

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 09 Feb 2021 17:09:12 -0500

lxcfs (4.0.5-1ubuntu1) hirsute; urgency=medium

  * Resynchronize on Debian, remaining Ubuntu changes
    - Update debian/tests to match Travis-CI

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 05 Feb 2021 15:27:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: lxcfs
 Section: admin
 Priority: optional
-Maintainer: pkg-lxc <pkg-lxc-devel@lists.alioth.debian.org>
-Uploaders: Evgeni Golov <evgeni@debian.org>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: pkg-lxc <pkg-lxc-devel@lists.alioth.debian.org>
+Uploaders: Adnan Hodzic <adnan@hodzic.org>,
+           Evgeni Golov <evgeni@debian.org>,
            Pierre-Elliott Bécue <peb@debian.org>
 Build-Depends: debhelper-compat (= 13),
                help2man,
                libfuse-dev,
                linux-libc-dev,
                pkg-config
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Homepage: https://linuxcontainers.org
 Vcs-Git: https://salsa.debian.org/lxc-team/lxcfs.git
 Vcs-Browser: https://salsa.debian.org/lxc-team/lxcfs

## lxcfs 5.0.0

=== meson_options.txt ===
# -*- mode: meson -*-

option('tests', type : 'boolean', value: 'false',
       description : 'enable tests')

option('runtime-path', type : 'string', value : '/run',
       description : 'the runtime directory')

option('with-init-script', type : 'string', value : 'systemd',
       description : 'the runtime directory')

option('init-script', type : 'combo',
       choices : ['systemd', 'sysvinit', 'openrc', 'upstart'], value : 'systemd',
       description : 'init script')

=== debian/changelog ===
lxcfs (5.0.0-1) UNRELEASED; urgency=medium

  * update

 -- pkg-lxc <pkg-lxc-devel@lists.alioth.debian.org>  Wed, 18 May 2022 22:49:32 -0400

lxcfs (5.0.0-1) unstable; urgency=medium

  * New upstream release 5.0.0
    - Drop d/p/0001
  * d/copyright: Upstream shifted to LGPL-2.1+ I do so for debian/
  * d/rules: update rules for init as the build system changed
    (Closes: #1008667)
  * d/control: Bump Standards-Version to 4.6.0

 -- Pierre-Elliott Bécue <peb@debian.org>  Mon, 04 Apr 2022 23:15:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: lxcfs
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: pkg-lxc <pkg-lxc-devel@lists.alioth.debian.org>
-Uploaders: Adnan Hodzic <adnan@hodzic.org>,
-           Evgeni Golov <evgeni@debian.org>,
+Maintainer: pkg-lxc <pkg-lxc-devel@lists.alioth.debian.org>
+Uploaders: Evgeni Golov <evgeni@debian.org>,
            Pierre-Elliott Bécue <peb@debian.org>
 Build-Depends: debhelper-compat (= 13),
                help2man,
-               libfuse-dev,
+               libfuse3-dev,
                linux-libc-dev,
-               pkg-config
-Standards-Version: 4.6.0.1
+               meson,
+               pkg-config,
+               python3-jinja2
+Standards-Version: 4.6.0
 Homepage: https://linuxcontainers.org
 Vcs-Git: https://salsa.debian.org/lxc-team/lxcfs.git
 Vcs-Browser: https://salsa.debian.org/lxc-team/lxcfs

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with autoreconf
+	dh $@ --buildsystem=meson
 
 override_dh_auto_install:
 	dh_auto_install
@@ -26,12 +26,17 @@
 	rm -rf debian/lxcfs/etc/init
 
 override_dh_installinit:
-	mv debian/lxcfs/etc/rc.d/init.d/lxcfs debian/lxcfs.init
-	rm -rf debian/lxcfs/etc/rc.d
-	dh_installinit -p lxcfs --no-stop-on-upgrade
+	install -d -m 0755 debian/lxcfs/etc
+	install -d -m 0755 debian/lxcfs/etc/init.d
+	install -m 0755 config/init/sysvinit/lxcfs debian/lxcfs.init
+	dh_installinit -p lxcfs --no-start --no-stop-on-upgrade
 
 override_dh_installsystemd:
-	dh_installsystemd -p lxcfs --no-stop-on-upgrade lxcfs.service
+	dh_installsystemd -p lxcfs --no-start --no-stop-on-upgrade lxcfs.service
+
+override_dh_installman:
+	/usr/bin/help2man -n "Set up cgroup fs for containers" --no-discard-stderr -s 1 -I lxcfs.man.add -N debian/lxcfs/usr/bin/lxcfs > lxcfs.1
+	dh_installman lxcfs.1
 
 override_dh_autoreconf:
 	[ -e m4 ] || mkdir m4

## lxcfs 5.0.2

=== debian/changelog ===
lxcfs (5.0.2-1) unstable; urgency=medium

  [ Mathias Gibbens ]
  * New upstream release 5.0.2
  * d/control:
    - Add myself to Uploaders
    - Bump Standards-Version to 4.6.1 (no changes needed)
  * d/copyright: Add myself
  * Add d/salsa-ci.yml

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Pierre-Elliott Bécue ]
  * d/control: add systemd as a Build-Dependency

 -- Mathias Gibbens <mathias@calenhad.com>  Thu, 29 Sep 2022 21:01:38 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,17 @@
 Priority: optional
 Maintainer: pkg-lxc <pkg-lxc-devel@lists.alioth.debian.org>
 Uploaders: Evgeni Golov <evgeni@debian.org>,
-           Pierre-Elliott Bécue <peb@debian.org>
+           Pierre-Elliott Bécue <peb@debian.org>,
+           Mathias Gibbens <mathias@calenhad.com>
 Build-Depends: debhelper-compat (= 13),
                help2man,
                libfuse3-dev,
                linux-libc-dev,
                meson,
                pkg-config,
-               python3-jinja2
-Standards-Version: 4.6.0
+               python3-jinja2,
+               systemd
+Standards-Version: 4.6.1
 Homepage: https://linuxcontainers.org
 Vcs-Git: https://salsa.debian.org/lxc-team/lxcfs.git
 Vcs-Browser: https://salsa.debian.org/lxc-team/lxcfs

## lxcfs 5.0.3

=== debian/changelog ===
lxcfs (5.0.3-1+deb12u1) bookworm; urgency=medium

  * Cherry-pick upstream fix for /proc/cpuinfo being empty within an arm32
    container with large numbers of CPUs (See: #1036818)
  * Adjust branch in d/gbp.conf

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 15 Sep 2023 21:32:11 +0000

lxcfs (5.0.3-1) unstable; urgency=medium

  [ Mathias Gibbens ]
  * New upstream release
  * d/control:
    - Update my email address
    - Bump Standards-Version (no changes needed)
  * Adjust systemd .service file install location in d/rules
  * Refresh d/copyright

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + lxcfs: Drop versioned constraint on lsb-base in Depends.
    + Remove 1 maintscript entries from 1 files.

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 17 Jan 2023 01:21:28 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: pkg-lxc <pkg-lxc-devel@lists.alioth.debian.org>
 Uploaders: Evgeni Golov <evgeni@debian.org>,
            Pierre-Elliott Bécue <peb@debian.org>,
-           Mathias Gibbens <mathias@calenhad.com>
+           Mathias Gibbens <gibmat@debian.org>
 Build-Depends: debhelper-compat (= 13),
                help2man,
                libfuse3-dev,
@@ -13,7 +13,7 @@
                pkg-config,
                python3-jinja2,
                systemd
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://linuxcontainers.org
 Vcs-Git: https://salsa.debian.org/lxc-team/lxcfs.git
 Vcs-Browser: https://salsa.debian.org/lxc-team/lxcfs
@@ -21,7 +21,7 @@
 
 Package: lxcfs
 Architecture: linux-any
-Depends: lsb-base (>= 3.0-6), ${misc:Depends}, ${shlibs:Depends}
+Depends: lsb-base, ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: FUSE based filesystem for LXC
  LXCFS provides a FUSE based filesystem to improve the LXC experience

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,6 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -22,6 +21,8 @@
 
 override_dh_auto_install:
 	dh_auto_install
+	# Place systemd service file into /lib/, not /usr/lib/ (see https://github.com/lxc/lxcfs/pull/555)
+	mkdir debian/lxcfs/lib/ && mv debian/lxcfs/usr/lib/systemd/ debian/lxcfs/lib/
 	find debian/lxcfs -type f -name '*.la' -delete
 	rm -rf debian/lxcfs/etc/init

## lxcfs 5.0.4

=== debian/changelog ===
lxcfs (5.0.4-1) unstable; urgency=medium

  * New upstream release
  * Remove lsb-base from Depends in d/control
  * Remove workaround for systemd .service file install location in d/rules
  * Add d/clean to fix failing to build twice in a row (Closes: #1046160)
  * Cherry-pick upstream fix for /proc/cpuinfo being empty within an arm32
    container with large numbers of CPUs (Closes: #1036818)

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 15 Sep 2023 20:37:31 +0000

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 Package: lxcfs
 Architecture: linux-any
-Depends: lsb-base, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: FUSE based filesystem for LXC
  LXCFS provides a FUSE based filesystem to improve the LXC experience

=== debian/rules ===
--- 
+++ 
@@ -21,8 +21,6 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	# Place systemd service file into /lib/, not /usr/lib/ (see https://github.com/lxc/lxcfs/pull/555)
-	mkdir debian/lxcfs/lib/ && mv debian/lxcfs/usr/lib/systemd/ debian/lxcfs/lib/
 	find debian/lxcfs -type f -name '*.la' -delete
 	rm -rf debian/lxcfs/etc/init

## lxcfs 6.0.0

=== debian/changelog ===
lxcfs (6.0.0-1) unstable; urgency=medium

  * New upstream release
    - Drop patch applied upstream
  * d/control
    - Update Build-Depends from systemd -> systemd-dev (Closes: #1060542)
    - Update Build-Depends from pkg-config -> pkgconf
  * Update years in d/copyright
  * Switch default branch to debian/sid

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 29 Mar 2024 17:18:39 +0000

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                libfuse3-dev,
                linux-libc-dev,
                meson,
-               pkg-config,
+               pkgconf,
                python3-jinja2,
-               systemd
+               systemd-dev
 Standards-Version: 4.6.2
 Homepage: https://linuxcontainers.org
 Vcs-Git: https://salsa.debian.org/lxc-team/lxcfs.git

## lxcfs 6.0.1

=== debian/changelog ===
lxcfs (6.0.1-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.7.0 in d/control (no changes needed)

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 26 Jun 2024 21:19:02 +0000

## lxcfs 6.0.2

=== debian/changelog ===
lxcfs (6.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 18 Sep 2024 23:54:01 +0000

## lxcfs 6.0.3

=== debian/changelog ===
lxcfs (6.0.3-2) unstable; urgency=medium

  [ Martin Steigerwald ]
  * Runit support for LXCFS (Closes: #1087185)

  [ Mathias Gibbens ]
  * Update Standards-Version to 4.7.2 in d/control (no changes needed)
  * Update years in d/copyright
  * Drop vestigial ${lxcfs:Depends} definition in d/rules that was only
    used by bin:libpam-cgfs (dropped from src:lxcfs in 3.0.2-1)

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 17 Mar 2025 23:37:36 +0000

lxcfs (6.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 19 Dec 2024 23:34:55 +0000

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,9 @@
                meson,
                pkgconf,
                python3-jinja2,
-               systemd-dev
-Standards-Version: 4.6.2
+               systemd-dev,
+               dh-sequence-runit
+Standards-Version: 4.7.2
 Homepage: https://linuxcontainers.org
 Vcs-Git: https://salsa.debian.org/lxc-team/lxcfs.git
 Vcs-Browser: https://salsa.debian.org/lxc-team/lxcfs
@@ -23,6 +24,7 @@
 Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
+Breaks: ${runit:Breaks}
 Description: FUSE based filesystem for LXC
  LXCFS provides a FUSE based filesystem to improve the LXC experience
  within the containers.

## lxcfs 6.0.4

=== debian/changelog ===
lxcfs (6.0.4-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 03 Apr 2025 23:08:08 +0000

## lxcfs 6.0.5

=== Makefile ===
# SPDX-License-Identifier: LGPL-2.1-or-later

.PHONY: all
all: meson
	ninja -C build

.PHONY: meson
meson:
	[ -d build ] || meson setup build/

.PHONY: dist
dist: meson
	meson dist -C build/ --formats=gztar
	cp build/meson-dist/*.tar.gz .

.PHONY: install
install:
	DESTDIR=$(DESTDIR) ninja -C build install

=== meson_options.txt ===
--- 
+++ 
@@ -9,6 +9,13 @@
 option('with-init-script', type : 'string', value : 'systemd',
        description : 'the runtime directory')
 
-option('init-script', type : 'combo',
-       choices : ['systemd', 'sysvinit', 'openrc', 'upstart'], value : 'systemd',
+option('init-script', type : 'array',
+       choices : ['systemd', 'sysvinit', 'openrc', 'upstart'], value : ['systemd'],
        description : 'init script')
+
+option('docs', type : 'boolean', value: 'true',
+       description : 'build documentation')
+
+option('fuse-version', type : 'combo',
+       choices : ['auto', '2', '3'], value : 'auto',
+       description : 'fuse version to use')

=== debian/changelog ===
lxcfs (6.0.5-2) unstable; urgency=medium

  * d/control:
    - Add a dependency on fuse3 (Closes: #1114596)
  * Bump d/copyright

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 21 Sep 2025 11:33:07 +0200

lxcfs (6.0.5-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 15 Aug 2025 12:12:49 +0000

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 Package: lxcfs
 Architecture: linux-any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: fuse3, ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Breaks: ${runit:Breaks}
 Description: FUSE based filesystem for LXC

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,5 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-
-include /usr/share/dpkg/vendor.mk
-
-ifeq ($(DEB_VENDOR),Ubuntu)
-	LXCFS_DEPENDS="systemd | cgroup-lite | cgroupfs-mount"
-else
-	LXCFS_DEPENDS="systemd | cgroupfs-mount"
-endif
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
@@ -41,9 +33,6 @@
 	[ -e m4 ] || mkdir m4
 	dh_autoreconf
 
-override_dh_gencontrol:
-	dh_gencontrol -- -Vlxcfs:Depends=$(LXCFS_DEPENDS)
-
 clean:
 	dh_autoreconf_clean
 	dh_clean

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/,uversionmangle=s/\.rc/~rc/;s/\.beta/~beta/" https://linuxcontainers.org/lxcfs/downloads/ /downloads/lxcfs/lxcfs-(.*)\.tar\.gz debian uupdate

## lxcfs 6.0.6

=== meson_options.txt ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 option('tests', type : 'boolean', value: 'false',
        description : 'enable tests')
+
+option('mocks', type : 'boolean', value: 'false',
+       description : 'enable CI-only features (mocks some things in LXCFS for CI/testing purposes)')
 
 option('runtime-path', type : 'string', value : '/run',
        description : 'the runtime directory')

=== debian/changelog ===
lxcfs (6.0.6-1) unstable; urgency=medium

  * New upstream release
  * d/control:
    - Update Standards-Version to 4.7.3, drop Priority field
    - Drop redundant Rules-Requires-Root
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 23 Feb 2026 22:47:50 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: lxcfs
 Section: admin
-Priority: optional
 Maintainer: pkg-lxc <pkg-lxc-devel@lists.alioth.debian.org>
 Uploaders: Evgeni Golov <evgeni@debian.org>,
            Pierre-Elliott Bécue <peb@debian.org>,
@@ -14,11 +13,10 @@
                python3-jinja2,
                systemd-dev,
                dh-sequence-runit
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://linuxcontainers.org
 Vcs-Git: https://salsa.debian.org/lxc-team/lxcfs.git
 Vcs-Browser: https://salsa.debian.org/lxc-team/lxcfs
-Rules-Requires-Root: no
 
 Package: lxcfs
 Architecture: linux-any
